ISIS - Bug #2099

gnet - not displaying Radius Source File correctly for certain cases
2014-06-03 02:09 PM - Lynn Weller

Status: Closed

Priority: Normal

Assignee: Makayla Shepherd

Category: Applications

Target version: FY17 Backlog

Impact: New Radius Source label behavior When | Software Version:

there is not a radius source open, a point
is selected, and a ground source is
opened, the radius source will be the
ShapeModel of the reference measure if
the ShapeModel is a cube. If the
ShapeModel is not a cube, the ABC of
the target body will be displayed as the
Radius Source on the Qnet Tool. If there
is not a radius source open, there is not
a point selected, and a ground source is
opened, the tool will exhibit the same
behavior as before.

Description

I'm working with LROC data that have been spiced and initialized with a DEM that is not in the system
(/archive/projects/TOPO/LOLA_MAR2011/ISIS3_radius/LDEM_75N_30M_radius_Mar2011.cub). I'm looking at previously saved
ground points and noticed that when | load a ground source that is a shaded dem
(/archive/projects/Immp/rdr/NPole/DEM/shade_LDEM_NPole_radius_Mar2011_10M.cub), the Radius Source File reports
"1737400.0,1737400.0 ". This happens immediately after | load the ground source. | wouldn't expect there to be anything there
since | haven't loaded anything and | haven't created or saved any points.

| tried other ground source files (but not loading a radius source) to see what sort of results | would get. Here's the rundown:

e ground source = /archive/projects/TOPO/LOLA_MAR2011/ISIS3_radius/LDEM_75N_30M_radius_Mar2011.cub (fyi, this file has
no ShapeModelStatistics table in the label, if that matters)
radius source reported = 1737400.0,1737400.0
-------- > there might be something to this. | recreated the shade file from the same dem as the above (which was created
several years ago) and nothing is reported for radius source file. The new shade file has a ShapeModelStatistics table in the
labels. Why would this matter? The updated file is here:
/work/projects/laser_a_work/lweller/DEM/shade_LDEM_NPole_radius_Mar2011_10M_prep.cub

e ground source = /archive/projects/TOPO/WACMOS_JUN2013/WAC_morphology_ NP_June2013_100m_8bit.cub (a mosaic file)
radius source reported = 1737400.0,1737400.0

e ground source = /work/users/Iweller/Isis3Tests/Qnet/RadiusSource/ground_source_levifile.cub (this is another level 1 LROC
file that overlaps my test files)
radius source = Ellipsoid

I have also noted (after writing this) that once something populates the Radius Source Field (right or wrong) it stays there until
something different comes along. And there is no way to close the radius source once it's open. For instance, if | load ground
source as my newly created shade file, nothing appears in the radius source field. If I load my old shade file, then
1737400.0,1737400.0 shows up. If | again, during the same qnet session load my new shade file, the radius source still says
1737400.0,1737400.0 instead of being empty. Could this be a clue as to what is going on?

Why in the heck am | getting anything in the radius source field and why is it reporting the ellipsoid value when my data are initialized
to a DEM? | have tested my DEM by running campt on a test image and get a LocalRadius value that is something other than the
radius of the moon so | think the DEM is ok and being intersected no problem. | have also created a constrained point as a test
using these various ground sources and saved it to verify that the radius being saved is indeed coming from the shape model on my
image label. It appears the radius is coming from the proper location, but it's not being reported properly in the Qnet Editor window.
Is any of this expected and I'm just not remembering how things work??
LROC files to test on are under /work/users/Iweller/Isis3Tests/Qnet/. There are 2 levi.cub images included in the cubs.lis file and a
third file called ground_source_levifile.cub which is another level 1 LROC file that is not in the list thath can be used as a ground
source. There is no network since all of this can be reproduced without one.

I'm a little concerned there may be something wrong with my LROC files or the shape model they point to that is helping to create the
problem because | don't see this sort of behavior with Themis images | am working with. If you want to look at themis data to see
how it behaves see /work/users/lweller/Isis3Tests/Qnet/MiscSegFaultsWithGround and use the file list Extracted_ThemisOnly.lis
(there is a net file called Extracted_ThemisOnly.net). This directory also constains a small portion of the MOLA DEM called
Mola_Radius.cub and a shaded version of it called Shade_Mola_Radius.cub. A level 1 Viking Orbiter you can use as a ground
source is /work/projects/themis_control/VO_Lev1/f684a63.lev1_slo.cub which overlaps themis image 18337016RDR.

History

#1 - 2014-06-03 03:34 PM - Lynn Weller

| have another direcotry where | spiced my LROC images and defaulted to the system DEM under
/work/users/lweller/Isis3Tests/Qnet/RadiusSource/DefaultSpice/. These images also have the same problem. One thing of note is that if | just load
ground source and save the constrained point then view the network via cneteditor nothing is recorded as the radius source file (though it's clear the
radius value saved is from the dem on the image label). If | load a radius source

(/archive/projects/ TOPO/LOLA_MAR2011/ISIS3_radius/LDEM_75N_30M_radius_Mar2011.cub) and save the point, then cneteditor reports a radius
file.

FYI, I think | have avoided seeing this for my Themis data because | am using a previously created ground control network where all of the pertinent

information was save correctly and | am not modifying or creating new ground points. | think gnet is loading what it sees saved in the net for my
ground and it's all there so it gets reported that way.

#2 - 2014-06-03 03:35 PM - Lynn Weller

- Description updated

#3 - 2014-06-03 03:43 PM - Lynn Weller

- Description updated

#4 - 2014-06-03 03:50 PM - Lynn Weller

- Description updated

#5 - 2014-06-03 05:36 PM - Tammy Becker

- Status changed from New to Acknowledged

This is reminiscent of #1234 without the error

#6 - 2015-04-02 10:56 AM - Moses Milazzo

Adding this to FY15Q3 just in case it can be fixed while we're fixing #2210 and #2060.

#7 - 2015-04-09 01:43 PM - Lynn Weller

Just wanted to note that this problem still exists. | was looking at a network with Ken E. today he built over the past several months and we saw an
incorrect radius source( it was 1737400.0,1737400.0). He was working with Apollo Metric data that was likely initialized to a higher resolution DEM
(he or Tammy need to confirm this) than what the ISIS system default supplies, which is similar to my reported case. So maybe there is some issue
with demprep and DEM sources not in the system that is the real problem.

We did note that after making an adjustment to his ground source feature, the apriori radius on the constrained point seemed to reflect a valid value.
It certainly wasn't the radius of the sphere as the radius source being reported would indicate.

At any rate, | thought | would just note that this problem has not gone away.
https://isis.astrogeology.usgs.gov/fixit/issues/1234
https://isis.astrogeology.usgs.gov/fixit/issues/2210
https://isis.astrogeology.usgs.gov/fixit/issues/2060

#8 - 2015-05-13 02:25 PM - Stuart Sides
- Target version set to 3.4.10 (FY15 R3 2015-07-23 Jul)

#10 - 2016-03-25 08:12 AM - Stuart Sides
- Status changed from Acknowledged to Assigned

- Assignee set to Makayla Shepherd

#11 - 2016-03-25 09:25 AM - Lynn Weller

My LROC test data are now under /work/users/Iweller/Isis3Tests/Qnet/RadiusSource/, | think (been a while since this was originally posted...). I'l
review and retest what's in this post to recall the details and be sure the data are still accessible. The Themis data | mention are still in their original
location.

#12 - 2016-03-28 03:50 PM - Makayla Shepherd

- Status changed from Assigned to In Progress

#13 - 2016-07-12 07:41 AM - Stuart Sides
- Target version changed from 3.4.10 (FY15 R3 2015-07-23 Jul) to 3.4.13 (FY16 R3 2016-08-31 Aug)

#15 - 2016-07-19 12:35 PM - Lynn Weller

If you want to load a radius source file try this (on image labels):
/archive/projects/TOPO/LOLA_MAR2014/LRO_LOLA_NPole75N_LDEM_30m_mar2014_radius.cub

The shaded file in the first no longer exists and the DEM is outdated so | won't create a new one, but the issue can be demonstrated with the
examples.

#16 - 2016-07-22 06:08 PM - Tammy Becker

| have test data using Vesta; this dataset will be a good test for DEM in addition to a pck that is not in the ISIS system yet.
Please drop by to work with me on this test. We will exercise a combination of with and without a radius source.

/work/projects/workshops/IsisWorkshops/External/OSIRIS-REx/March2016/IsisWorkshop/Lessons/VestaSouthPole/DEM-Example

#17 - 2016-08-02 05:45 PM - Tammy Becker

Vesta data:

DEM to use=/work/projects/workshops/IsisWorkshops/External/OSIRIS-REx/March2016/IsisWorkshop/Lessons/ShapeModels/
Vesta_Dawn_HAMO_DTM_DLR_Global_48ppd-prep.cub

Image data:

/work/projects/workshops/IsisWorkshops/External/OSIRIS-REx/March2016/IsisWorkshop/Lessons/ControlLesson/PDS/* IMG
/work/projects/workshops/IsisWorkshops/External/OSIRIS-REx/March2016/IsisWorkshop/Lessons/ControlLesson/00imageprep.csh

Netfiles:
Groundonly=/work/projects/workshops/IsisWorkshops/External/OSIRIS-REx/March2016/IsisWorkshop/Lessons/ControlLesson/Answers/Groundonly.
net

combo with Free and Constrained: cnetG.net
#18 - 2016-09-26 04:28 PM - Makayla Shepherd

- Status changed from In Progress to Resolved

Three expected behaviours:

e |f there is a radius source open, leave it alone

¢ If there is not a radius source open, look at the ShapeModel of the reference image. If that ShapeModel is a cube use that as the radius source
¢ |f the ShapeModel of the radius is not a cube (or empty), use the ABC radius of the target body

#19 - 2016-09-28 04:20 PM - Lynn Weller
Makayla Shepherd wrote:

Three expected behaviours:

e |f there is a radius source open, leave it alone

e |f there is not a radius source open, look at the ShapeModel of the reference image. If that ShapeModel is a cube use that as the radius
source

¢ |f the ShapeModel of the radius is not a cube (or empty), use the ABC radius of the target body

Yes, everything is working as expected. | have run tests against Themis IR data, LROC and Tammy's Vesta workshop data set. For each case |
made sure the shape model of the reference image was loaded under Radius Source File and that the values saved for the measure were correct. |
also made a copy of all data sets and reran spiceinit such that model=ellipsoid and confirmed the default system Radius Source (the target radii as
stored in the base .tpc file) was appropriately displayed and recorded when the measure was saved. In the case of Dawn, a user tpc file was entered
for spiceinit to load onto the image label and the updated gnet picked up and displayed the correct values under Radius Source. And of course when
a radius file was directly loaded by the user, the program displayed the name correctly and picked up the correct radius value from the file at the
requested location. All of the new bahviours as noted by Makayla are working properly. Yeal

| also confirmed that production gnet was also recording the correct radius value when the measure was saved despite not displaying that information
correctly under the Radius Source. We already knew this was the case, it's just been reaffirmed.

Much better than before. It's nice knowing what is actually being used now for the radius!

#20 - 2016-09-28 04:20 PM - Lynn Weller

- Status changed from Resolved to Closed

#21 - 2016-09-30 09:58 AM - Lynn Weller
- Status changed from Closed to Feedback
Sorry, had to reopen this ticket after additional testing revealed a new bug.

e open an image list
* open a network (Do not load a point/open the Qnet Tool)
e open a ground source file ---> Segmentation fault

This sequence does not create a seg fault under production.

This is not an issue if | load a ground source file after loading a point.

The problem likely has to do with the fact that the point editor isn't available to display the name of the ground source loaded, so it fails.
I'll test radius source as well and anything else | can think of that has to do with order of operation.

----> Right, you can't open a radius source file until you have opened a ground source file, so this isn't a test that can performed.

| never understood why you had to open one before the other, but it doesn't matter - the behaviour is consistent between versions.

#22 - 2016-10-03 10:15 AM - Stuart Sides
- Target version changed from 3.4.13 (FY16 R3 2016-08-31 Aug) to FY17 Backlog

#23 - 2016-10-07 10:11 AM - Makayla Shepherd

| fixed the segfault. If a ground source is loaded and there is a point selected it will exhibit the new behaviour accordingly. If there is not a point
selected it will set the required variables using the old behaviour. When a point is selected and loaded, gnet will check if there is a ground source, if so
it will run through the new behaviour.

#24 - 2016-10-11 06:29 PM - Lynn Weller
- Status changed from Feedback to Closed

Reran tests opening the Ground Source file before a point was loaded and the program no longer seg faults. The information loaded in the Editor
Tool is consistent with first loading a point then opening the Ground Source file.

The items covered by this post in particular have been satisfied so it can now be closed. However two new bugs have been revealed and will be
added to redmine.

NOTE: A test plan for this post has written. A link to it and/or a link from the plan back to this post will be implemented when some details for test
plans in general are ironed out.

#25 - 2016-10-17 02:46 PM - Makayla Shepherd
- Impact updated
